ossl_rand.h File Reference

Go to the source code of this file.

## Functions

void | Init_ossl_rand (void)

## Variables

VALUE | mRandom
VALUE | eRandomError

## Function Documentation

void Init_ossl_rand | ( | void |  | ) |

Definition at line 182 of file ossl_rand.c.

References DEFMETH, eOSSLError, eRandomError, mOSSL, mRandom, ossl_rand_add(), ossl_rand_bytes(), ossl_rand_egd(), ossl_rand_egd_bytes(), ossl_rand_load_file(), ossl_rand_pseudo_bytes(), ossl_rand_seed(), ossl_rand_status(), ossl_rand_write_file(), rb_define_class_under(), rb_define_module(), and rb_define_module_under().

Referenced by Init_openssl().

## Variable Documentation

VALUE eRandomError

Definition at line 17 of file ossl_rand.c.

Referenced by Init_ossl_rand(), ossl_rand_bytes(), ossl_rand_egd(), ossl_rand_egd_bytes(), ossl_rand_load_file(), ossl_rand_pseudo_bytes(), and ossl_rand_write_file().

VALUE mRandom

Definition at line 16 of file ossl_rand.c.

Referenced by Init_ossl_rand().